
Serial.begin(9600); // port serie
Serial1.begin(9600); // port GSM
Serial2.begin(115200); // port WIFI

Wire.begin();
RTC.begin();
tft.begin();

tft.init();
tft.setRotation(1);
Serial.print(F("Initialising SD card..."));
if (!SD.begin(SDC_CS)) {
Serial.println(F("failed!"));
}
Serial.println(F("Here we go..."));
tft.fillScreen(TFT_BLACK);  
drawBMP("recif.bmp", 15, 0, BU_BMP);

pinMode(blanc1, OUTPUT);  
pinMode(blanc2, OUTPUT);  
pinMode(bleu1, OUTPUT);  
pinMode(bleu2, OUTPUT);
puissanceblanc = puissanceblanc*2.55; 
puissancebleu = puissancebleu*2.55; 

  
pinMode(jebao1, OUTPUT);
pinMode(jebao2, OUTPUT);
//pinMode(jebao3, OUTPUT);
puissancejebao1 = puissancejebao1*2.55; 
puissancejebao2 = puissancejebao2*2.55;
//puissancejebao3 = puissancejebao2*2.55;

oscillo1.attach(pinoscillo1);
oscillo2.attach(pinoscillo2);
//oscillo3.attach(pinoscillo3);
oscillo1.write(0);
oscillo2.write(0);
//oscillo3.write(0);

tempsprecedent1 = millis();
tempsprecedent2 = (millis()- delaisnouriture);
tempsprecedent3 = (millis()- delaistempette);

pinMode(ventilateurbac, OUTPUT);
pinMode(ventilateurrampe, OUTPUT);
pinMode(boutonalimentation, INPUT);
pinMode(boutontempete, INPUT);
//pinMode(bouton3, INPUT);
//pinMode(bouton4, INPUT);

pinMode(remontee, OUTPUT); 
pinMode(buzzer,OUTPUT);
digitalWrite(remontee, LOW);
digitalWrite(chauffage, LOW);
